Skip to content

Checklist

AI-powered feature leveraging xCures’ targeted data extraction/processing to populate validated, customizable question/answer-style items. Responses can be highly flexible and every item returns a justification, supporting documents, and structured data to guide decisions in real time.

Get Checklists

Request

Get the set of checklists configured for the project.

Security
bearer
Query
typestring

The type of checklist.

Default:"questionnaire"
Value:"questionnaire"
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/checklist?type=questionnaire' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
Array [
idstring, (uuid)required
namestringrequired

Display name of the checklist.

sortOrdernumberrequired

Order in which the checklist is displayed.

itemsArray of objects(ChecklistItem)required

Items in the checklist.

]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "sortOrder": 0, "items": [ … ] } ]